Bug 810207 - Unable to upgrade to Fedora 17 pre-release
Unable to upgrade to Fedora 17 pre-release
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 06:47 EDT by Thomas Spear
Modified: 2013-02-13 09:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:42:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Spear 2012-04-05 06:47:48 EDT
Description of problem:
Receive "dracut Warning: no suitable images" error

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Install preupgrade via yum
2. Run preupgrade
3. Check box to show alpha/beta releases
4. Select Fedora 17 and follow prompts
5. Reboot
6. At GRUB menu, select upgrade to Fedora 17
7. Receive error during boot
  
Actual results:
Upgrade process errors out during boot and drops the user to shell with the warning listed above and no other information really about how to fix the issue. Cannot reboot via commands 'shutdown' or 'reboot' due to a failure to access init. Attempted '/init 6' as 'init' was not even recognized as a command, but that failed too.

Expected results:
Upgrade to F17

Additional info:
This is being done in a VM, as Fedora 16 is installed in a VirtualBox VM on top of Windows 7. VBox version is 4.1.12.

This is NOT related to Bug 748119 as I do not run /var on its own partition:

[speeddy@blackhole ~]$ df -h
Filesystem                  Size  Used Avail Use% Mounted on
rootfs                       10G  4.9G  5.0G  50% /
devtmpfs                    740M     0  740M   0% /dev
tmpfs                       751M   80K  750M   1% /dev/shm
/dev/mapper/vg_sda-lv_root   10G  4.9G  5.0G  50% /
tmpfs                       751M   50M  701M   7% /run
tmpfs                       751M     0  751M   0% /sys/fs/cgroup
tmpfs                       751M     0  751M   0% /media
/dev/sda2                  1022M  272M  699M  29% /boot
/dev/mapper/vg_sda-lv_opt   2.0G  214M  1.7G  11% /opt
/dev/mapper/vg_sda-lv_home  2.0G  384M  1.6G  20% /home
none                        150G   45G  105G  30% /media/sf_Shared
/dev/sr0                     49M   49M     0 100% /media/VBOXADDITIONS_4.1.12_77245

Fedora 16 remains bootable after rebooting using VM controls since none of the linux commands to reboot were working. Attempted to reboot into upgrade again with same results.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I do get some kernel module loading errors during the init process though none of them occur before "Loading Fedora 17 x86_64 installer..."

After the "Loading" message above, I get "dracut: rd.lvm=0: removing LVM activation" followed by some registration messages for tcp and udp transports, then my NIC driver loads up followed by:

[12.379468] dracut: anaconda using disk root at /dev/sda1
[12.432645] EXT4-fs (sda2): recovery complete
[12.433569] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
[12.471716] dracut Warning: no suitable images
dracut Warning: no suitable images
[35.530684] dracut Warning: Unable to process initqueue
dracut Warning: Unable to process initqueue
[35.533058] dracut Warning: /dev/root does not exist
dracut Warning: /dev/root does not exist
Dropping to debug shell.

dracut:/# _

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Hope this is enough info to resolve the issue, as I cannot currently copy/paste in the tty shell (GPM is not installed since it is preupgrade). I can take screenshots if needed, however.
Comment 1 Alexander Lindqvist 2012-04-12 16:51:49 EDT
I have the same Dracut error message upon booting and doing the upgrade. This is on a HP laptop and /var is not on its own partition. Im using a encrypted filesystem and does not get a password prompt for the filesystem.
Comment 2 Gireesh Sreekantan 2012-05-07 11:07:22 EDT
I am facing the issue with my desktop. I have a single 15GB partition for / of size 15GB out of which 3.6GB is free after downloading all the files required for preupgrade.

On reboot, I get the Upgrade to F17 option but it suddenly says "root volume not found" and drops me to a dracut shell.
Comment 3 Alex Lancaster 2012-05-21 18:02:18 EDT
Possibly the same problem as in bug 798779?
Comment 4 Thomas Spear 2012-06-14 18:05:06 EDT
I do not believe this is the same as bug 798779, because that bug applies to after the preupgrade install finishes when you are to reboot into the just upgraded OS. In addition, that bug also references bug 813973 which is due to a small /boot partition causing dracut to download the necessary boot files from the web, but failing to do so due to a recursion bug.

At any rate, I read somewhere that this was a known problem with the beta preupgrade, and that it was scheduled to be fixed before final. I am not certain if this is fixed in final or not, as I do not have an F16 machine any longer to test on (I went ahead and wiped the VM and installed the F17 beta to it via LiveCD). If anyone does know, feel free to update.
Comment 5 Mark 2012-07-18 23:07:41 EDT
I have the same Dracut error message upon booting and doing the upgrade. This is on a Sony laptop and /var is not on its own partition.
Comment 6 Fedora End Of Life 2013-01-16 08:48:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 09:42:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.